Package com.enonic.xp.portal.url

## Class AttachmentUrlParams

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<AttachmentUrlParams>
  - - com.enonic.xp.portal.url.AttachmentUrlParams

-     @PublicApi
      public final class AttachmentUrlParams
      extends AbstractUrlParams<AttachmentUrlParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttachmentUrlParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `AttachmentUrlParams` | `download​(boolean value)` |
    `AttachmentUrlParams` | `download​(String value)` |
    `String` | `getId()` |
    `String` | `getLabel()` |
    `String` | `getName()` |
    `String` | `getPath()` |
    `AttachmentUrlParams` | `id​(String value)` |
    `boolean` | `isDownload()` |
    `AttachmentUrlParams` | `label​(String value)` |
    `AttachmentUrlParams` | `name​(String value)` |
    `AttachmentUrlParams` | `path​(String value)` |
    `AttachmentUrlParams` | `setAsMap​(Multimap<String,​String> map)` |

    - ### Methods inherited from class com.enonic.xp.portal.url.AbstractUrlParams

      `contextPathType, getContextPathType, getDefaultContextPath, getParams, getPortalRequest, getType, param, portalRequest, singleValue, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentUrlParams

          public AttachmentUrlParams()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getPath

          public String getPath()

    - #### getName

          public String getName()

    - #### getLabel

          public String getLabel()

    - #### isDownload

          public boolean isDownload()

    - #### id

          public AttachmentUrlParams id​(String value)

    - #### path

          public AttachmentUrlParams path​(String value)

    - #### name

          public AttachmentUrlParams name​(String value)

    - #### label

          public AttachmentUrlParams label​(String value)

    - #### download

          public AttachmentUrlParams download​(String value)

    - #### download

          public AttachmentUrlParams download​(boolean value)

    - #### setAsMap

          public AttachmentUrlParams setAsMap​(Multimap<String,​String> map)

      Overrides:
        `setAsMap` in class `AbstractUrlParams<AttachmentUrlParams>`

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

      Overrides:
        `buildToString` in class `AbstractUrlParams<AttachmentUrlParams>`